com.tibbo.aggregate.common.event

## Class EventProcessingRule

- java.lang.Object
- - com.tibbo.aggregate.common.event.EventProcessingRule

-     public class EventProcessingRule
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventProcessingRule()`
    `EventProcessingRule(java.lang.String mask, java.lang.String event)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDuplicate()`
    `void` | `addFiltered()`
    `void` | `addSaved()`
    `boolean` | `deepEquals(java.lang.Object o)` Compares two objects with a comparison of all their elements.
    `boolean` | `equals(java.lang.Object o)` Compares two objects based on unique elements, event and mask, for equality.
    `java.lang.String` | `getDeduplicator()`
    `Expression` | `getDeduplicatorExpression()`
    `long` | `getDuplicates()`
    `java.util.List<EventEnrichmentRule>` | `getEnrichments()`
    `java.lang.String` | `getEvent()`
    `long` | `getFiltered()`
    `java.lang.String` | `getMask()`
    `long` | `getPeriod()`
    `java.lang.String` | `getPrefilter()`
    `Expression` | `getPrefilterExpression()`
    `int` | `getQueue()`
    `long` | `getSaved()`
    `int` | `hashCode()`
    `boolean` | `isDuplicateDispatching()`
    `void` | `setDeduplicator(java.lang.String deduplicator)`
    `void` | `setDuplicateDispatching(boolean duplicateDispatching)`
    `void` | `setEnrichments(java.util.List<EventEnrichmentRule> enrichments)`
    `void` | `setEvent(java.lang.String event)`
    `void` | `setMask(java.lang.String mask)`
    `void` | `setPeriod(long period)`
    `void` | `setPrefilter(java.lang.String prefilter)`
    `void` | `setQueue(int queue)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### EventProcessingRule

          public EventProcessingRule()

    - #### EventProcessingRule

          public EventProcessingRule(java.lang.String mask,
                                     java.lang.String event)

  - ### Method Detail

    - #### getEvent

          public java.lang.String getEvent()

    - #### getMask

          public java.lang.String getMask()

    - #### getPeriod

          public long getPeriod()

    - #### setEvent

          public void setEvent(java.lang.String event)

    - #### setMask

          public void setMask(java.lang.String mask)

    - #### setPeriod

          public void setPeriod(long period)

    - #### getPrefilter

          public java.lang.String getPrefilter()

    - #### setPrefilter

          public void setPrefilter(java.lang.String prefilter)

    - #### getPrefilterExpression

          public Expression getPrefilterExpression()

    - #### getDeduplicator

          public java.lang.String getDeduplicator()

    - #### setDeduplicator

          public void setDeduplicator(java.lang.String deduplicator)

    - #### getDeduplicatorExpression

          public Expression getDeduplicatorExpression()

    - #### getEnrichments

          public java.util.List<EventEnrichmentRule> getEnrichments()

    - #### setEnrichments

          public void setEnrichments(java.util.List<EventEnrichmentRule> enrichments)

    - #### getQueue

          public int getQueue()

    - #### setQueue

          public void setQueue(int queue)

    - #### isDuplicateDispatching

          public boolean isDuplicateDispatching()

    - #### setDuplicateDispatching

          public void setDuplicateDispatching(boolean duplicateDispatching)

    - #### addFiltered

          public void addFiltered()

    - #### addSaved

          public void addSaved()

    - #### addDuplicate

          public void addDuplicate()

    - #### getFiltered

          public long getFiltered()

    - #### getSaved

          public long getSaved()

    - #### getDuplicates

          public long getDuplicates()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Compares two objects based on unique elements, event and mask, for equality.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - Object to compare.
      Returns:
        true if the objects are equal based on event and mask, false otherwise.

    - #### deepEquals

          public boolean deepEquals(java.lang.Object o)

      Compares two objects with a comparison of all their elements.
      Parameters:
        `o` - Object to compare.
      Returns:
        true if the objects are equal, including all their elements, false otherwise.